/*	
	N-Rage`s Dinput8 Plugin -- V1.80a (23. 1. 2002)
    (C) 2002  Norbert Wladyka

	Author`s Email: norbert.wladyka@chello.at
	Website: http://go.to/nrage


    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _SETTINGS_H_
#define _SETTINGS_H_

#define VERSIONNUMBER	"1.82a"
#define VERSIONDATE		__DATE__

#define SPECS_VERSION 0x0100		// conform to Plugin Specs 1.0
// #define SPECS_VERSION 0x0101		// conform to Plugin Specs 1.1

#define STDCONFIG   				// use default settings for Release and Debugbuild

#ifndef STDCONFIG
// ----------------------------------------------------------------------------
// custom settings here
#define SHOWSHORTCUTMESSAGES		// display a Window if a Shortcut was used( might cause trouble with GFX-Plugin )
#define ADAPTOIDPAK_RUMBLEFIX   	// workaround for a Adaptoiddriver bug

// #define HIDEUNIMPLEMENTED   		// remove unimplemented Elements of the GUI

// #define MAKEADRESSCRCCHECK  		// check controllercommands for valid CRC
// #define RAWPROFILEWRITE 			// display Button for writing Shortcuts binary

// #define USECONTROLLERCOMMAND		// respond on Controllercomamnds instead of Readcommands

// #define V_TRANSFERPAK   			// enable selection of Transferpak
// #define V_VOICEPAK  				// enable selection of VoicePak
// ----------------------------------------------------------------------------

#else
// Standard Settings

#ifdef _DEBUG
// ----------------------------------------------------------------------------
// Standard Debug Settings
#define SHOWSHORTCUTMESSAGES		// display a Window if a Shortcut was used( might cause trouble with GFX-Plugin )
#define ADAPTOIDPAK_RUMBLEFIX   	// workaround for a Adaptoiddriver bug

// #define HIDEUNIMPLEMENTED   		// remove unimplemented Elements of the GUI

#define MAKEADRESSCRCCHECK  		// check controllercommands for valid CRC
#define RAWPROFILEWRITE 			// display Button for writing Shortcuts binary

// #define USECONTROLLERCOMMAND		// respond on Controllercomamnds instead of Readcommands

#define V_TRANSFERPAK   			// enable selection of Transferpak
#define V_VOICEPAK  				// enable selection of VoicePak
// ----------------------------------------------------------------------------

#else
// ----------------------------------------------------------------------------
// Standard Release Settings
#define SHOWSHORTCUTMESSAGES		// display a Window if a Shortcut was used( might cause trouble with GFX-Plugin )
#define ADAPTOIDPAK_RUMBLEFIX   	// workaround for a Adaptoiddriver bug

#define HIDEUNIMPLEMENTED   		// remove unimplemented Elements of the GUI

// #define MAKEADRESSCRCCHECK  		// check controllercommands for valid CRC
// #define RAWPROFILEWRITE 			// display Button for writing Shortcuts binary

// #define USECONTROLLERCOMMAND		// respond on Controllercomamnds instead of Readcommands

#define V_TRANSFERPAK   			// enable selection of Transferpak
// #define V_VOICEPAK  				// enable selection of VoicePak

// ----------------------------------------------------------------------------

#endif // #ifdef _DEBUG
#endif // #ifndef STDCONFIG
#undef STDCONFIG

#ifdef _DEBUG
#define VERSIONINFO VERSIONNUMBER "-Debugbuild"
#else
#define VERSIONINFO VERSIONNUMBER
#endif // #ifdef _DEBUG

#endif // #ifndef _SETTINGS_H_